SeExpr

Public Member Functions | Public Attributes | List of all members
SeExpr2::GlobalStr Struct Reference
Inheritance diagram for SeExpr2::GlobalStr:

## Public Member Functions
| GlobalStr (const std::string &varName)
void | eval (double *result)
| returns this variable's value by setting result More...
void | eval (const char **result)
bool | isVec ()
Public Member Functions inherited from SeExpr2::GlobalVal
| GlobalVal (const std::string &varName, const SeExpr2::ExprType &et)
Public Member Functions inherited from SeExpr2::ExprVarRef
| ExprVarRef (const ExprType &type)
virtual | ~ExprVarRef ()
virtual void | setType (const ExprType &type)
| sets (current) type to given type More...
virtual ExprType | type () const
| returns (current) type More...

## Public Attributes
const char * | val
Public Attributes inherited from SeExpr2::GlobalVal
std::set< DExpression * > | users
std::string | varName

## Detailed Description

Definition at line 42 of file ExprMultiExpr.cpp.

## Constructor & Destructor Documentation

## ◆ GlobalStr()

SeExpr2::GlobalStr::GlobalStr | ( | const std::string & | varName | ) |
| inline

Definition at line 43 of file ExprMultiExpr.cpp.

## Member Function Documentation

## ◆ eval() [1/2]

void SeExpr2::GlobalStr::eval | ( | const char ** | result | ) |
| inline virtual

Implements SeExpr2::ExprVarRef.

Definition at line 47 of file ExprMultiExpr.cpp.

References val.

## ◆ eval() [2/2]

void SeExpr2::GlobalStr::eval | ( | double * | result | ) |
| inline virtual

returns this variable's value by setting result

Implements SeExpr2::ExprVarRef.

Definition at line 46 of file ExprMultiExpr.cpp.

## ◆ isVec()

bool SeExpr2::GlobalStr::isVec | ( |  | ) |
| inline

Definition at line 48 of file ExprMultiExpr.cpp.

## Member Data Documentation

## ◆ val

const char* SeExpr2::GlobalStr::val

Definition at line 45 of file ExprMultiExpr.cpp.

Referenced by eval(), SeExpr2::Expressions::evalStr(), SeExpr2::Expressions::setLoopVariable(), and SeExpr2::Expressions::setVariable().

The documentation for this struct was generated from the following file:

- /build/seexpr/src/SeExpr/src/SeExpr2/ExprMultiExpr.cpp